Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio
Interface BioEntryIterator

All Known Subinterfaces:
  RichSequenceIterator

All Known Implementing Classes:
  HashedFastaIterator, RichSequence.IOTools.SingleRichSeqIterator, RichStreamReader

    public interface BioEntryIterator

Essentially the same as SequenceIterator. It provides a new method that returns RichSequence objects without the need for explicit casting. Implementations of this interface should always return RichSequence objects for both the nextSequence() and nextRichSequence() methods.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland
See Also:
  `SequenceIterator`

Method Summary
`boolean` | `hasNext()` Returns whether there are more sequences to iterate over.
`BioEntry` | `nextBioEntry()`

Method Detail

### hasNext

    boolean hasNext()

  Returns whether there are more sequences to iterate over.

  Returns:
    true if there are more sequences to get and false otherwise

### nextBioEntry

    BioEntry nextBioEntry()
                          throws NoSuchElementException,
                                 BioException

  Throws:
    `NoSuchElementException`
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD